[versions]
javafx = "23.0.2"
richtextfx = "0.11.2"
jackson = "2.18.2"

[libraries]
javafx-controls = { group = "org.openjfx", name = "javafx-controls", version.ref = "javafx" }
javafx-fxml = { group = "org.openjfx", name = "javafx-fxml", version.ref = "javafx" }
richtextfx = { group = "org.fxmisc.richtext", name = "richtextfx", version.ref = "richtextfx" }
jackson-databind = { group = "com.fasterxml.jackson.core", name = "jackson-databind", version.ref = "jackson" }
apache-commons-lang3 = { group = "org.apache.commons", name = "commons-lang3", version = "3.18.0" }
apache-commons-io = { group = "commons-io", name = "commons-io", version = "2.13.0" }
apache-commons-collections = { group = "org.apache.commons", name = "commons-collections4", version = "4.4" }

[plugins]
javafx = { id = "org.openjfx.javafxplugin", version = "0.1.0" }
